GNU bug report logs - #57387
[PATCH] gnu: Add restartd.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; dated Wed, 24 Aug 2022 16:01:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 14 Sep 2022 07:48:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 03:48:15 2022
Received: from localhost ([127.0.0.1]:53587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYN82-0004uw-Qc
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 03:48:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oYN81-0004uk-SY
 for 57387 <at> debbugs.gnu.org; Wed, 14 Sep 2022 03:48:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56408)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oYN7v-0008FQ-A9; Wed, 14 Sep 2022 03:48:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=zfWWby30d6pVmYdI8b8luM/LRGOgtnMCDbId7veNYyo=; b=GPUz/TeBp4PGHHIkEpmt
 1wMn/Ezf6mcfxzrXs0pdDJcwaEipxo1r9OzQMOF2KXXw6y/zMrFUO87Hge9myfFGw3fnyLn8T/1AR
 6d1jmqBJPrLZx7pYnknj30ZJwB6Jwmh9biRydUw0f9zEXaz8uSyinuq8OwkEDFqEnPfw+zOMUKihq
 4rLKG+CueN/OzB+8zrUZhbXWZIdum8dKY/cx134NnS+VmlJ1k2hhgP0oVeMT7EO+92g+IdR0Jl/rC
 3RyNRy06nnBJhGxRx1w+dHLUDBBOVwiQasj30NBi1JE9i7rLNWn/fC0BW+1VhyWAKA7Vf99WsDiO0
 Qv3r4670oOrLuw==;
Received: from [195.167.26.149] (port=39344 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oYN7u-0005BG-MX; Wed, 14 Sep 2022 03:48:07 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>
Subject: Re: bug#57387: [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
Date: Wed, 14 Sep 2022 09:48:04 +0200
In-Reply-To: <87a67qsl9y.fsf@HIDDEN> (Nicolas Graves's message of "Sat, 27
 Aug 2022 00:16:41 +0200")
Message-ID: <875yhqcs7f.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57387
Cc: 57387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Nicolas,

>  ...td-add-error-handling-for-robustness.patch | 242 ++++++++++++++++++
>  .../patches/restartd-fix-compilation.patch    |  53 ++++

Both patches also need to be added to the dist_patch_DATA variable of
gnu/local.mk.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 13 Sep 2022 09:05:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 05:05:48 2022
Received: from localhost ([127.0.0.1]:48789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oY1rX-000512-Vy
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2022 05:05:48 -0400
Received: from 12.mo561.mail-out.ovh.net ([188.165.41.191]:44645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oY1rV-00050t-IX
 for 57387 <at> debbugs.gnu.org; Tue, 13 Sep 2022 05:05:46 -0400
Received: from player772.ha.ovh.net (unknown [10.109.143.183])
 by mo561.mail-out.ovh.net (Postfix) with ESMTP id 3E44422186
 for <57387 <at> debbugs.gnu.org>; Tue, 13 Sep 2022 09:05:22 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player772.ha.ovh.net (Postfix) with ESMTPSA id A338E2E88B8E6;
 Tue, 13 Sep 2022 08:45:55 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-98R0026a3106c9-4333-4ffd-8c1c-d6a822e93f23,
 2C29F6F9EF66A0E2782F7CEADBC5EBE58685C6A1) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57387: [PATCH] gnu: Add restartd.
In-Reply-To: <87y1up9h8y.fsf@HIDDEN>
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
 <87sfkyynb6.fsf_-_@HIDDEN> <871qshlqyt.fsf@HIDDEN>
 <87y1up9h8y.fsf@HIDDEN>
Date: Tue, 13 Sep 2022 10:45:54 +0200
Message-ID: <87sfkvvf0d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Ovh-Tracer-Id: 4847280574885126853
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrfedugedguddvucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvvefujghffffkgggtsehttdertddttddtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepveekleeujedthefgffekleekhffhffetgfdvheekleeuhfehueeljedtjefhvdfgnecukfhppeduvdejrddtrddtrddupddvudefrdeggedrudeiuddrgeejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehinhgvthepuddvjedrtddrtddruddpmhgrihhlfhhrohhmpeeonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqedpnhgspghrtghpthhtohepuddprhgtphhtthhopeehjeefkeejseguvggssghughhsrdhgnhhurdhorhhgpdfovfetjfhoshhtpehmohehiedupdhmohguvgepshhmthhpohhuth
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57387
Cc: 57387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Please find it attached.
Thanks!

I don't understand why there should be a reject, just by looking at the
patches, I don't see why these hunks would collide.

I don't have a clue on how to fix this. I'll merge both locally
and regenerating a single patch that by definition can't collide.

-- 
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 12 Sep 2022 07:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 12 03:36:25 2022
Received: from localhost ([127.0.0.1]:44015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXdzV-00071h-De
	for submit <at> debbugs.gnu.org; Mon, 12 Sep 2022 03:36:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55400)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oXdzS-00071R-UF
 for 57387 <at> debbugs.gnu.org; Mon, 12 Sep 2022 03:36:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35836)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oXdzM-0007kI-A1; Mon, 12 Sep 2022 03:36:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=3oS4XPecLtRR2rRP1Y/S5JMfjhdjg/CUOcevr1huD4E=; b=cLGmQxqJo0QyaNs9Ypho
 RGDAodLE6IgDe11UbyxgayMcCKJTr3qJ8RY4LXLrYQWlKkfEZtqgXG8Pea4lAy7HV96W47CptbUIz
 bySd16eeIZvAaVG67PNss4CEaQ/VZI70tgLiViM9bnNi5Y7ihuAHjRxwBsjPC+yBkND4CpWEIt12L
 F5jS5FBs9UkfPbg5Me3z63FpEbThacD337FITPhyXCv0vCCMPX4crmQ1Q6fD4VFdDVWGFzBX7loci
 uZ86nbPcmbf3644DWGk8geOolosoQjhuaN1RgJXa9DzgU+Z7JBautr7m1MWZw9QwS+cQ0vZZ0gBo4
 5lNj1vWNrMjVug==;
Received: from [2a02:587:1d33:7300:4fa4:945e:237e:7b1f] (port=33654 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oXdzL-0007s2-PL; Mon, 12 Sep 2022 03:36:16 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>
Subject: Re: bug#57387: [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
 <87sfkyynb6.fsf_-_@HIDDEN> <871qshlqyt.fsf@HIDDEN>
Date: Mon, 12 Sep 2022 09:36:13 +0200
In-Reply-To: <871qshlqyt.fsf@HIDDEN> (Nicolas Graves's message of "Sun, 11
 Sep 2022 20:13:14 +0200")
Message-ID: <87y1up9h8y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57387
Cc: 57387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain


Hello,

> I can't reproduce, don't have the error when compiling again with
> --check. Can you provide contents of restartd.c.rej?

Please find it attached.

Mathieu

--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=restartd.c.rej
Content-Transfer-Encoding: base64

LS0tIHJlc3RhcnRkLmMKKysrIHJlc3RhcnRkLmMKQEAgLTEzNywxMCArMTU2LDEzIEBAIGludCBt
YWluKGludCBhcmdjLCBjaGFyICphcmd2W10pCiAgICAgICAgICAgICAgICAgICAgICIgIC1pIDxp
bnRlcnZhbF9zZWM+OiB0aGUgY2hlY2sgaW50ZXJ2YWwgaW4gc2Vjb25kXG4iCiAgICAgICAgICAg
ICAgICAgICAgICIgIC1sICAgICAgICAgICAgICAgOiBsaXN0IGNvbmZpZ3VyYXRpb24gb3B0aW9u
c1xuIgogICAgICAgICAgICAgICAgICAgICAiICAtaCAgICAgICAgICAgICAgIDogaGVscFxuXG4i
LCBWRVJTSU9OKTsKKwkgICAgZXhpdCgwKTsKICAgICAgICAgfQogICAgIH0KIAogICAgIGNvbmZp
Z19wcm9jZXNzID0gbWFsbG9jKHNpemVvZihzdHJ1Y3QgY29uZmlnX3Byb2Nlc3NfdHlwZSkgKiAx
MjgpOworICAgIGlmICghY29uZmlnX3Byb2Nlc3MpCisgICAgICBvb21fZmFpbHVyZSgpOwogCiAg
ICAgcmVhZF9jb25maWcoKTsKICAgICBpZiAobGlzdF9vbmx5KSB7CkBAIC0xNTIsOSArMTc0LDE3
IEBAIGludCBtYWluKGludCBhcmdjLCBjaGFyICphcmd2W10pCiAgICAgICAgICAgIGNvbmZpZ19w
cm9jZXNzX251bWJlcik7CiAKICAgICBwcm9jZGlyX2RpcmVudCA9IG1hbGxvYyhzaXplb2Yoc3Ry
dWN0IGRpcmVudCkpOworICAgIGlmICghcHJvY2Rpcl9kaXJlbnQpCisgICAgICBvb21fZmFpbHVy
ZSgpOwogICAgIHByb2NfY21kbGluZV9zdHIgPSAoY2hhciAqKSBtYWxsb2MoMTAyNCk7CisgICAg
aWYgKCFwcm9jX2NtZGxpbmVfc3RyKQorICAgICAgb29tX2ZhaWx1cmUoKTsKICAgICBwcm9jX2Nt
ZGxpbmVfbmFtZSA9IChjaGFyICopIG1hbGxvYygxMDI0KTsKKyAgICBpZiAoIXByb2NfY21kbGlu
ZV9uYW1lKQorICAgICAgb29tX2ZhaWx1cmUoKTsKICAgICByZWdjID0gbWFsbG9jKDEwMjQpOwor
ICAgIGlmICghcmVnYykKKyAgICAgIG9vbV9mYWlsdXJlKCk7CiAKICAgICAvKiBDYXRjaCBzaWdu
YWxzICovCiAgICAgc2lnbmFsKFNJR1RFUk0sIGdvdF9zaWduYWwpOwo=
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 11 Sep 2022 18:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 14:13:23 2022
Received: from localhost ([127.0.0.1]:43383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXRSN-0001Qm-Db
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2022 14:13:23 -0400
Received: from 19.mo581.mail-out.ovh.net ([178.33.251.118]:51247)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oXRSK-0001Qd-K5
 for 57387 <at> debbugs.gnu.org; Sun, 11 Sep 2022 14:13:21 -0400
Received: from player695.ha.ovh.net (unknown [10.109.156.6])
 by mo581.mail-out.ovh.net (Postfix) with ESMTP id 95FE021365
 for <57387 <at> debbugs.gnu.org>; Sun, 11 Sep 2022 18:13:18 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player695.ha.ovh.net (Postfix) with ESMTPSA id 143662E51D82F;
 Sun, 11 Sep 2022 18:13:14 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-105G00648d697be-b9a7-4549-b479-4a5f0bf16654,
 DECAE4C5681F39FBFD41AF98CA22D585DED06606) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: bug#57387: [PATCH] gnu: Add restartd.
In-Reply-To: <87sfkyynb6.fsf_-_@HIDDEN>
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
 <87sfkyynb6.fsf_-_@HIDDEN>
Date: Sun, 11 Sep 2022 20:13:14 +0200
Message-ID: <871qshlqyt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Ovh-Tracer-Id: 2683300954707714757
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrfedutddguddviecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfqggfjpdevjffgvefmvefgnecuuegrihhlohhuthemucehtddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvfevufgjfhffkfggtgesthdtredttddttdenucfhrhhomheppfhitgholhgrshcuifhrrghvvghsuceonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqeenucggtffrrghtthgvrhhnpeevkeelueejtdehgfffkeelkefhhffftefgvdehkeeluefhheeuleejtdejhfdvgfenucfkpheptddrtddrtddrtddpvddufedrgeegrdduiedurdegjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrieelhedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdpnhgspghrtghpthhtohepuddprhgtphhtthhopeehjeefkeejseguvggssghughhsrdhgnhhurdhorhhgpdfovfetjfhoshhtpehmohehkedu
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57387
Cc: 57387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


On 2022-09-11 16:53, Mathieu Othacehe wrote:
> I have the following error when trying to build the package:
>
> --8<---------------cut here---------------start------------->8---
> 2 out of 8 hunks FAILED -- saving rejects to file restartd.c.rej

I can't reproduce, don't have the error when compiling again with
--check. Can you provide contents of restartd.c.rej?

Thanks!

Nicolas

-- 
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 11 Sep 2022 14:54:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 10:54:01 2022
Received: from localhost ([127.0.0.1]:43158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oXOLR-0002H0-0t
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2022 10:54:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1oXOLP-0002Gf-5E
 for 57387 <at> debbugs.gnu.org; Sun, 11 Sep 2022 10:53:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41182)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oXOLI-0008Ne-Mz; Sun, 11 Sep 2022 10:53:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=jiyvxlW6bmByOumXTJ5TDsISapKTlRWBjoRi/ZUAVoU=; b=Nt3CQ/jpnZxHrWcZZYYi
 UHMRfrfiUHBTzWCMsdwc8EQQB7QE6SK8v/xd1RtFQwk6kT7ufxCS7DKxRo8yOdGvpx7Xc/ktsNZrM
 gwnWeEMEQ2c0yrZKBkSV/OSohajOynqkrr4H12BPwwbBQ0aXkuldu33NFFRd1PjZR+Kp4tTdV4HB5
 V7X0c56TUc+6GMDxGCpJOSQY84nWzpKdfYbCUX98cySjsLPGs7SK+FwE7NsDaMbVXhmjun6s4uvZM
 q/fyfhRntaxUqD6W8Mzm6KgrrTr2O3g/po9K5U7a39cldl52iW935B2bxSNbxj9uZQXd601AnJBMW
 ZQBeQKu1kPqpKQ==;
Received: from [2a02:587:1d33:7300:4fa4:945e:237e:7b1f] (port=58676 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1oXOLH-0004IJ-P7; Sun, 11 Sep 2022 10:53:52 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>
Subject: Re: bug#57387: [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
Date: Sun, 11 Sep 2022 16:53:49 +0200
In-Reply-To: <87a67qsl9y.fsf@HIDDEN> (Nicolas Graves's message of "Sat, 27
 Aug 2022 00:16:41 +0200")
Message-ID: <87sfkyynb6.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57387
Cc: 57387 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

> * gnu/packages/admin.scm (restartd): New variable.

I have the following error when trying to build the package:

--8<---------------cut here---------------start------------->8---
2 out of 8 hunks FAILED -- saving rejects to file restartd.c.rej
source is at 'restartd-0.2.3-1.7044125-checkout'
applying '/gnu/store/gayczr3cvcxlqafxz9pclk6b8jhxhl75-restartd-fix-compilat=
ion.patch'...
applying '/gnu/store/d1sllhia0ninbfrq9agw2272dwm1v103-restartd-add-error-ha=
ndling-for-robustness.patch'...
Backtrace:
           5 (primitive-load "/gnu/store/skbm6f65x56bhq5sd8w7fys5q49=E2=80=
=A6")
In ice-9/eval.scm:
    619:8  4 (_ #(#(#<directory (guile-user) 7ffff3fd7c80> "res=E2=80=A6") =
#))
In ice-9/boot-9.scm:
    142:2  3 (dynamic-wind #<procedure 7ffff3f862c0 at ice-9/eval.s=E2=80=
=A6> =E2=80=A6)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 7ffff3fd7c80>)))
In srfi/srfi-1.scm:
    634:9  1 (for-each #<procedure apply-patch (a)> _)
In guix/build/utils.scm:
    762:6  0 (invoke "/gnu/store/z39hnrwds1dgcbpfgj8dnv2cngjb2xbl-p=E2=80=
=A6" =E2=80=A6)

guix/build/utils.scm:762:6: In procedure invoke:
ERROR:
  1. &invoke-error:
      program: "/gnu/store/z39hnrwds1dgcbpfgj8dnv2cngjb2xbl-patch-2.7.6/bin=
/patch"
      arguments: ("--force" "--no-backup-if-mismatch" "-p1" "--input" "/gnu=
/store/d1sllhia0ninbfrq9agw2272dwm1v103-restartd-add-error-handling-for-rob=
ustness.patch")
      exit-status: 1
      term-signal: #f
      stop-signal: #f
--8<---------------cut here---------------end--------------->8---

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 28 Aug 2022 17:39:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 28 13:39:02 2022
Received: from localhost ([127.0.0.1]:59599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oSMFS-0005Mq-6s
	for submit <at> debbugs.gnu.org; Sun, 28 Aug 2022 13:39:02 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:47230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oSMFP-0005MQ-RR
 for 57387 <at> debbugs.gnu.org; Sun, 28 Aug 2022 13:39:00 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by baptiste.telenet-ops.be with bizsmtp
 id D5ew2800C20ykKC015ewz2; Sun, 28 Aug 2022 19:38:58 +0200
Message-ID: <0facd90b-ed19-711a-26d0-e393ddee097d@HIDDEN>
Date: Sun, 28 Aug 2022 19:38:56 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87a67qsl9y.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------2iX5CXdDIgjqTHlk3y9OykOV"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661708338; bh=wMxZHtJxlaNeUbSeTJUuVJfZJHAppf38XJJD8PcAj48=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=aZMtM0bvb3WEGMTM1MA8kd/+pTQiQXthlpcp25zQhnx1D13YAKwYHq4i9yWrDRjp2
 Mgf7DgSoIVlWcVvDhSoW2OrjeYWQtsJRIWqN2oYgWTamBgEQKthd9nPz/92V3Nk9/Q
 KrCshKIKbeNYS6CwLLD1FU0BiNC443kGKJFns7doF1AIUn1ZfcD+jTlUNKDPySaSOq
 2aG79+vK0KzLiNFj4T2V/1Nxswu/qOTMPq/zy5K9oPMhhtMdPxEqG1rmjtUjSzoUO5
 phFG6K1dpXjs15snGeneZOuBPK1xusavODfYnKquQkmHDRBrMjB7m+d4rX/dTZhstx
 qqLb7KS/hGzYQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------2iX5CXdDIgjqTHlk3y9OykOV
Content-Type: multipart/mixed; boundary="------------LIj0R0i9Gd84ZJS6tOb6ws7X";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <0facd90b-ed19-711a-26d0-e393ddee097d@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87a67qsl9y.fsf@HIDDEN>
In-Reply-To: <87a67qsl9y.fsf@HIDDEN>

--------------LIj0R0i9Gd84ZJS6tOb6ws7X
Content-Type: multipart/mixed; boundary="------------K0waoYsovoZ2EjVUQFaitIAL"

--------------K0waoYsovoZ2EjVUQFaitIAL
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

VGhpcyBtZXJnZSBzZWVtcyBvayB0byBtZS4NCg0KVGhhbmtzLA0KTWF4aW1lIChub3QgYSBj
b21taXR0ZXIpDQo=
--------------K0waoYsovoZ2EjVUQFaitIAL
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------K0waoYsovoZ2EjVUQFaitIAL--

--------------LIj0R0i9Gd84ZJS6tOb6ws7X--

--------------2iX5CXdDIgjqTHlk3y9OykOV
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwuoMAUDAAAAAAAKCRBJ4+4iGRcl7q+c
AQCHnLFZs+7iWKCnFroLmTxWpKiRs/wyMDahzD0O0geq/AEAnnhEEY9EbtC7ntVMrfdbjmvBHk2b
PzYcQR04K4FZHQY=
=RW2U
-----END PGP SIGNATURE-----

--------------2iX5CXdDIgjqTHlk3y9OykOV--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 26 Aug 2022 22:16:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 18:16:53 2022
Received: from localhost ([127.0.0.1]:54759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRhdE-0005ay-J9
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2022 18:16:53 -0400
Received: from 4.mo581.mail-out.ovh.net ([178.32.122.254]:59287)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oRhd7-0005ah-DN
 for 57387 <at> debbugs.gnu.org; Fri, 26 Aug 2022 18:16:50 -0400
Received: from player788.ha.ovh.net (unknown [10.111.172.29])
 by mo581.mail-out.ovh.net (Postfix) with ESMTP id 54BF725C1E
 for <57387 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 22:16:43 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player788.ha.ovh.net (Postfix) with ESMTPSA id 5D1222DE52787
 for <57387 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 22:16:42 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-99G00362105227-d06c-4579-b167-c0379fce1995,
 34CB2711DDBD377A9BF43C2AAB695AD3C3B4784F) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: 57387 <at> debbugs.gnu.org 
Subject: [PATCH] gnu: Add restartd.
Date: Sat, 27 Aug 2022 00:16:41 +0200
Message-ID: <87a67qsl9y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Ovh-Tracer-Id: 5064860734796784325
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejiedgtdelucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpefhvffufffkgggtgfesthhqredttddtjeenucfhrhhomheppfhitgholhgrshcuifhrrghvvghsuceonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqeenucggtffrrghtthgvrhhnpeevhffflefhhfffvedtkedvudfggfeifeeljedtueeutdeiieefueejieeuhffgieenucffohhmrghinhepghhithhhuhgsrdgtohhmpdhlrghunhgthhhprggurdhnvghtpdguvggsihgrnhdrohhrghenucfkpheptddrtddrtddrtddpvddufedrgeegrdduiedurdegjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeekkedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdpnhgspghrtghpthhtohepuddprhgtphhtthhopeehjeefkeejseguvggssghughhsrdhgnhhurdhorhhgpdfovfetjfhoshhtpehmohehkedu
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/admin.scm (restartd): New variable.
---
 gnu/packages/admin.scm                        |  54 ++++
 ...td-add-error-handling-for-robustness.patch | 242 ++++++++++++++++++
 .../patches/restartd-fix-compilation.patch    |  53 ++++
 3 files changed, 349 insertions(+)
 create mode 100644 gnu/packages/patches/restartd-add-error-handling-for-ro=
bustness.patch
 create mode 100644 gnu/packages/patches/restartd-fix-compilation.patch

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index a4c5189222..57de594bee 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -51,6 +51,7 @@
 ;;; Copyright =C2=A9 2021 Artyom V. Poptsov <poptsov.artyom@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
 ;;; Copyright =C2=A9 2022 Roman Riabenko <roman@HIDDEN>
+;;; Copyright =C2=A9 2022 Nicolas Graves <ngraves@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5455,6 +5456,59 @@ (define-public fail2ban
 mechanisms if you really want to protect services.")
     (license license:gpl2+)))

+(define-public restartd
+  (let* ((commit "7044125ac55056f2663536f7137170edf92ebd75")
+         ;; Version is 0.2.4 in the version file in the repo
+         ;; but not in github tags.
+         ;; It is released as 0.2.3-1.1 for other distributions.
+         ;; Probably because of the lack of activity upstream.
+         (revision "1"))
+    (package
+      (name "restartd")
+      (version (git-version "0.2.3" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ajraymond/restartd")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1m1np00b4zvvwx63gzysbi38i5vj1jsjvh2s0p9czl6dzyz582z0"))
+         (patches
+          (search-patches
+           "restartd-fix-compilation.patch"
+           "restartd-add-error-handling-for-robustness.patch"))))
+      (build-system gnu-build-system)
+      (arguments
+       (list
+        #:tests? #f ; no tests
+        #:make-flags
+        #~(list (string-append "CC=3D" #$(cc-for-target)))
+        #:phases
+        #~(modify-phases %standard-phases
+            (delete  'configure)
+            (replace 'install
+              (lambda _
+                (install-file "restartd.conf" (string-append #$output "/et=
c"))
+                (install-file "restartd" (string-append #$output "/sbin"))
+                (install-file "restartd.8"
+                              (string-append #$output "/share/man/man8"))
+                (mkdir-p (string-append #$output "/share/man/fr/man8"))
+                (copy-file
+                 "restartd.fr.8"
+                 (string-append #$output "/share/man/fr/man8/restartd.8"))=
)))))
+      (home-page "https://launchpad.net/debian/+source/restartd")
+      (synopsis "Daemon for restarting processes")
+      (description "This package provides a daemon for checking running an=
d not
+running processes.  It reads the /proc directory every n seconds and does a
+POSIX regexp on the process names.  The daemon runs an user-provided script
+when it detects a program in the running processes, or an alternate script=
 if
+it doesn't detect the program.  The daemon can only be called by the root
+user, but can use @code{sudo -u user} in the process called if needed.")
+      (license license:gpl2+))))
+
 (define-public rex
   (package
     (name "rex")
diff --git a/gnu/packages/patches/restartd-add-error-handling-for-robustnes=
s.patch b/gnu/packages/patches/restartd-add-error-handling-for-robustness.p=
atch
new file mode 100644
index 0000000000..33f5f06555
--- /dev/null
+++ b/gnu/packages/patches/restartd-add-error-handling-for-robustness.patch
@@ -0,0 +1,242 @@
+From ec606eb15091ff8ffa672500413128c29814f8ad Mon Sep 17 00:00:00 2001
+From: Maxime Devos <maximedevos@HIDDEN>, Yin Kangkai <yinkangkai@xiaom=
i.com>
+Date: Thu, 25 Aug 2022 14:29:25 +0200
+Subject: [PATCH] Add some error handling for robustness.
+
+This patch is a merge of two pull requests for the restartd project.
+
+Maxime Devos <maximedevos@HIDDEN>
+https://github.com/ajraymond/restartd/pull/8
+
+This makes the code a little more robust. What if /var/run does not
+exist, or we do not have permission to open
+/var/run/restartd.pid (EPERM?) due to SELinux misconfiguration?
+
+Yin Kangkai <yinkangkai@HIDDEN>
+https://github.com/ajraymond/restartd/pull/6
+
+This patch also avoids segmentation fault when run from non-root user.
+
+---
+ config.c   | 19 ++++++++++----
+ config.h   |  2 ++
+ restartd.c | 73 ++++++++++++++++++++++++++++++++++++++++++++++--------
+ 3 files changed, 79 insertions(+), 15 deletions(-)
+
+diff --git a/config.c b/config.c
+index f307b8a..94907e3 100644
+--- a/config.c
++++ b/config.c
+@@ -57,7 +57,11 @@ int read_config(void)
+     config_process_number =3D 0;
+
+     line1 =3D (char *) malloc(MAX_LINE_LENGTH);
++    if (!line1)
++      oom_failure();
+     line2 =3D (char *) malloc(MAX_LINE_LENGTH);
++    if (!line2)
++      oom_failure();
+
+     if ((config_fd =3D fopen(config_file, "rt")) =3D=3D NULL) {
+         fprintf(stderr, "Error at opening config file: %s\n", config_file=
);
+@@ -155,11 +159,16 @@ void dump_config(void) {
+     int i;
+
+     for(i=3D0; i<config_process_number; i++) {
+-        printf("ID=3D%d\n  name=3D%s\n  regexp=3D%s\n  running=3D%s\n  no=
t_running=3D%s\n", i,
+-            config_process[i].name,
+-            config_process[i].regexp,
+-            config_process[i].running,
+-            config_process[i].not_running);
++      if (printf("ID=3D%d\n  name=3D%s\n  regexp=3D%s\n  running=3D%s\n  =
not_running=3D%s\n", i,
++		 config_process[i].name,
++		 config_process[i].regexp,
++		 config_process[i].running,
++		 config_process[i].not_running) < 0) {
++	/* Maybe stdout points to a file and a file system quotum was exceeded? =
*/
++	fprintf(stderr, "Failed to dump the configuration. Exiting.\n");
++	syslog(LOG_ERR, "Failed to dump the configuration. Exiting.");
++	exit(1);
++      }
+     }
+
+ }
+diff --git a/config.h b/config.h
+index fabaa2b..b5a134a 100644
+--- a/config.h
++++ b/config.h
+@@ -1,6 +1,7 @@
+ /* restartd - Process checker and/or restarter daemon
+  * Copyright (C) 2000-2002 Tibor Koleszar <oldw@HIDDEN>
+  * Copyright (C) 2006 Aur=C3=A9lien G=C3=89R=C3=94ME <ag@HIDDEN>
++ * Copyright (C) 2022 Maxime Devos <maximedevos@HIDDEN>
+  *
+  * This program is free software; you can redistribute it and/or
+  * modify it under the terms of the GNU General Public License
+@@ -43,5 +44,6 @@ typedef struct config_process_type {
+
+ int read_config(/* char *config_file */);
+ void dump_config(void);
++void oom_failure(void);
+
+ #endif /* RESTARTD_CONFIG_H */
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..df0a6eb 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -1,6 +1,8 @@
+ /* restartd - Process checker and/or restarter daemon
+  * Copyright (C) 2000-2002 Tibor Koleszar <oldw@HIDDEN>
+  * Copyright (C) 2006 Aur=C3=A9lien G=C3=89R=C3=94ME <ag@HIDDEN>
++ * Copyright (C) 2016 Yin Kangkai <yinkangkai@HIDDEN>
++ * Copyright (C) 2022 Maxime Devos <maximedevos@HIDDEN>
+  *
+  * This program is free software; you can redistribute it and/or
+  * modify it under the terms of the GNU General Public License
+@@ -52,6 +54,17 @@ void got_signal(int sig)
+     }
+ }
+
++/* Ignoring out-of-memory failures is risky on systems without virtual me=
mory
++   where additionally at address 0 there is actually something important
++   mapped. Additionally, while often on Linux the OOM killer will kill pr=
ocesses
++   where an OOM happens, this is not always the case and there exist othe=
r systems
++   without an OOM killer (e.g. the Hurd). */
++void oom_failure()
++{
++  syslog(LOG_ERR, "Failed to allocate memory. Exiting.");
++  exit(1);
++}
++
+ int main(int argc, char *argv[])
+ {
+     DIR *procdir_id;
+@@ -75,15 +88,21 @@ int main(int argc, char *argv[])
+
+     /* Options */
+     config_file =3D strdup(DEFAULT_CONFIG);
++    if (!config_file)
++      oom_failure();
++
+     list_only =3D 0;
+
+     for(i =3D 0; i < argc; i++) {
+         if (!strcmp(argv[i], "-c") || !strcmp(argv[i], "--config")) {
+             config_file =3D strdup(argv[i + 1]);
++	    if (!config_file)
++	      oom_failure();
+         }
+         if (!strcmp(argv[i], "-v") || !strcmp(argv[i], "--version")) {
+             printf("restard %s - Copyright 2000-2002 Tibor Koleszar <oldw=
@debian.org>\n"
+-                   "                Copyright 2006 Aur=C3=A9lien G=C3=89R=
=C3=94ME <ag@HIDDEN>\n",
++                   "                Copyright 2006 Aur=C3=A9lien G=C3=89R=
=C3=94ME <ag@HIDDEN>\n"
++                   "                Copyright 2022 Maxime Devos <maximede=
vos@HIDDEN>\n",
+                    VERSION);
+             exit(0);
+         }
+@@ -118,10 +137,13 @@ int main(int argc, char *argv[])
+                     "  -i <interval_sec>: the check interval in second\n"
+                     "  -l               : list configuration options\n"
+                     "  -h               : help\n\n", VERSION);
++	    exit(0);
+         }
+     }
+
+     config_process =3D malloc(sizeof(struct config_process_type) * 128);
++    if (!config_process)
++      oom_failure();
+
+     read_config();
+     if (list_only) {
+@@ -133,9 +155,17 @@ int main(int argc, char *argv[])
+            config_process_number);
+
+     procdir_dirent =3D malloc(sizeof(struct dirent));
++    if (!procdir_dirent)
++      oom_failure();
+     proc_cmdline_str =3D (char *) malloc(1024);
++    if (!proc_cmdline_str)
++      oom_failure();
+     proc_cmdline_name =3D (char *) malloc(1024);
++    if (!proc_cmdline_name)
++      oom_failure();
+     regc =3D malloc(1024);
++    if (!regc)
++      oom_failure();
+
+     /* Catch signals */
+     signal(SIGTERM, got_signal);
+@@ -187,8 +217,18 @@ int main(int argc, char *argv[])
+         }
+
+         out_proc =3D fopen("/var/run/restartd.pid", "wt");
+-        fprintf(out_proc, "%d", getpid());
+-        fclose(out_proc);
++	if (!out_proc) {
++	  syslog(LOG_ERR, "Failed to open /var/run/restartd.pid");
++	  return -1;
++	}
++        if (fprintf(out_proc, "%d", getpid()) < 0) {
++	  syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting.");
++	  return -1;
++	}
++        if (fclose(out_proc) < 0) { /* errors can happen when flushing th=
e buffer */
++	  syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting.");
++	  return -1;
++	}
+
+         while(1) {
+             if ((procdir_id =3D opendir("/proc")) =3D=3D NULL) {
+@@ -237,16 +277,23 @@ int main(int argc, char *argv[])
+            now =3D time(NULL);
+
+            out_proc =3D fopen("/var/run/restartd", "wt");
++	   if (!out_proc) {
++	     syslog(LOG_ERR, "Failed to open /var/run/restartd");
++	     return -1;
++	   }
+
+-           fprintf(out_proc, "%s\n", ctime(&now));
++           if (fprintf(out_proc, "%s\n", ctime(&now)) < 0) {
++	     syslog(LOG_ERR, "Failed to write to /var/run/restartd. Exiting.");
++	     return -1;
++	   }
+
+            for(i=3D0; i<config_process_number; i++) {
+                if (strlen(config_process[i].processes) > 0) {
+                    if (strlen(config_process[i].running) > 0) {
+                        strcpy(config_process[i].status, "running");
+-                       syslog(LOG_INFO, "%s is running, executing '%s'",
++                       /* syslog(LOG_INFO, "%s is running, executing '%s'=
",
+                               config_process[i].name,
+-                              config_process[i].running);
++                              config_process[i].running); */
+                        system(config_process[i].running);
+                     } else {
+                         strcpy(config_process[i].status, "running");
+@@ -267,12 +314,18 @@ int main(int argc, char *argv[])
+                     strcpy(config_process[i].status, "not running");
+                 }
+
+-                fprintf(out_proc, "%-12s %-12s      %s\n",
+-                        config_process[i].name, config_process[i].status,
+-                        config_process[i].processes);
++		if (fprintf(out_proc, "%-12s %-12s      %s\n",
++			    config_process[i].name, config_process[i].status,
++			    config_process[i].processes) < 0) {
++		  syslog(LOG_ERR, "Failed to write to /var/run/restartd. Exiting.");
++		  return -1;
++		}
+             }
+
+-            fclose(out_proc);
++	    if (fclose(out_proc) < 0) {
++	      syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting=
.");
++	      return -1;
++	    }
+
+             sleep(check_interval);
+         }
+--
+2.37.2
+
diff --git a/gnu/packages/patches/restartd-fix-compilation.patch b/gnu/pack=
ages/patches/restartd-fix-compilation.patch
new file mode 100644
index 0000000000..a380205675
--- /dev/null
+++ b/gnu/packages/patches/restartd-fix-compilation.patch
@@ -0,0 +1,53 @@
+From 84edc2042bb0a82e65bd4d165b706519886b4075 Mon Sep 17 00:00:00 2001
+From: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+Date: Mon, 10 Aug 2020 19:39:30 +0100
+Subject: [PATCH] Fix build with gcc-10
+
+Bug: https://bugs.debian.org/957761
+Signed-off-by: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+---
+ config.h   | 12 ++++++------
+ restartd.c |  7 +++++++
+ 2 files changed, 13 insertions(+), 6 deletions(-)
+
+diff --git a/config.h b/config.h
+index fabaa2b..a79b28e 100644
+--- a/config.h
++++ b/config.h
+@@ -25,12 +25,12 @@
+
+ #define DEFAULT_CONFIG "/etc/restartd.conf"
+
+-int debug;
+-int config_process_number;
+-int check_interval;
+-int foreground;
+-struct config_process_type *config_process;
+-char *config_file;
++extern int debug;
++extern int config_process_number;
++extern int check_interval;
++extern int foreground;
++extern struct config_process_type *config_process;
++extern char *config_file;
+
+ typedef struct config_process_type {
+   char name[64];
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..617b298 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -35,6 +35,13 @@
+
+ #include "config.h"
+
++int debug;
++int config_process_number;
++int check_interval;
++int foreground;
++struct config_process_type *config_process;
++char *config_file;
++
+ /* SIGTERM & SIGHUP handler */
+ void got_signal(int sig)
+ {
--
2.37.2

--
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 26 Aug 2022 19:07:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 15:07:10 2022
Received: from localhost ([127.0.0.1]:54548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRefd-0006z1-O4
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2022 15:07:10 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:52986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oRefb-0006ys-Qp
 for 57387 <at> debbugs.gnu.org; Fri, 26 Aug 2022 15:07:08 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by xavier.telenet-ops.be with bizsmtp
 id CK732800G20ykKC01K747U; Fri, 26 Aug 2022 21:07:07 +0200
Message-ID: <af7cfcaf-55a1-861b-a656-90ab02e4218a@HIDDEN>
Date: Fri, 26 Aug 2022 21:07:03 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN> <87r1134g0f.fsf@HIDDEN>
 <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN> <87v8qft01k.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87v8qft01k.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------wtIGBmSQf0BFyaG5EcIf2qnd"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661540827; bh=CjcT7ydWhKJ3nfD6FrAY/aPbLF5WRfX66idoNvpPLQ8=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=Wmg6DOX5BXNWSTWdGIW5gOIx/Bcm20kZqnfnJ9+ycArqbQ8Sdqe1ZVt6UJHxDolnp
 sA4DZs7spc1rEEV5ULNE7Xu4jS4X1htQ8KQFVl15ATetbfa7H6u4M2HZpEe+QihSUf
 rINgMNsuI9uCvaSjTj14KtKoQujKOsked0e+TjVmYOZzU550JTwbsF/j58/GA3F49n
 CBwCgxYRwUB7Qfj2smlzV+BhgYSYiMypNGHQj2VmlGj8TTfYwYvfUYzWjQQ3ki8DaH
 HV6ojaFhFT2m2XGA5co6nYVNHl29XdAMrrym/lmDpUAK2tLpD77Gv25DmNQZSARcKb
 Asi2wq22xHSPQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------wtIGBmSQf0BFyaG5EcIf2qnd
Content-Type: multipart/mixed; boundary="------------0e9U3kawq7G4j7jhbS5Q5ao3";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <af7cfcaf-55a1-861b-a656-90ab02e4218a@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87r1134g0f.fsf@HIDDEN>
 <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN> <87v8qft01k.fsf@HIDDEN>
In-Reply-To: <87v8qft01k.fsf@HIDDEN>

--------------0e9U3kawq7G4j7jhbS5Q5ao3
Content-Type: multipart/mixed; boundary="------------4oDIV0VZcSoeRxCCPWptrwDi"

--------------4oDIV0VZcSoeRxCCPWptrwDi
Content-Type: multipart/alternative;
 boundary="------------KjBut0ibrrp3Ib0e1sM4ZqMW"

--------------KjBut0ibrrp3Ib0e1sM4ZqMW
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

T24gMjYtMDgtMjAyMiAxODo1NywgTmljb2xhcyBHcmF2ZXMgd3JvdGU6DQoNCj4+IEEgYml0
IG9mIGEgbml0cGljaywgYnV0IFlpbiBLYWdrYWkgd2FzIG5vdCBpbnZvbHZlZCBpbiB0aGlz
IHBhdGNoLCBJDQo+PiB3cm90ZSBpdCBteXNlbGYgLi4uDQo+PiAuLi4gdGhlIGNvbW1lbnRp
bmcgc3lzbG9nIHRoaW5nIHdhcyBhbiB1bnJlbGF0ZWQgcGF0Y2gsIG1heWJlIHZhcmlvdXMN
Cj4+IGNvbW1pdHMgd2VyZSBzcXVhc2hlZD8NCj4gU29ycnksIEkgc2hvdWxkIGhhdmUgZXhw
bGFpbmVkLg0KPiBBcHBseWluZyBib3RoIHB1bGwgcmVxdWVzdHMgNiBhbmQgOCBmYWlsZWQg
YmVjYXVzZSAzIGxpbmVzIHdlcmUgY29tbW9uDQo+IHRvIGJvdGguDQpIbSwgSSBkaWRuJ3Qg
ZW5jb3VudGVyIHRoYXQsIG1heWJlIEkgYWNjaWRlbnRhbGx5IHJlbW92ZWQgb25lIG9mIHRo
ZSANCnByZS1leGlzdGluZyBwYXRjaGVzIG9yIGV2ZW4gcmVtb3ZlZCBteSBvd24gcGF0Y2gu
DQo+IEkgcmVzb2x2ZWQgdGhhdCBieSBtZXJnaW5nIGJvdGggYW5kIHJlY3JlYXRpbmcgYSBu
ZXcgcGF0Y2gsIHRodXMgZ2l2aW5nDQo+IGNyZWRpdCB0byBib3RoIGF1dGhvcnMuIElzIHRo
YXQgT0sgPw0KDQpPSywgYnV0IHNvbWUgY29tbWl0IG1lc3NhZ2VzIGFyZSBnZXR0aW5nIGxv
c3QsIG1heWJlIGFkZCBhIGxpbmsgdG8gdGhlIA0KdHdvIHVwc3RyZWFtIFBScyB0byBtYWtl
IGNsZWFyIGl0J3MgYSBjb21iaW5hdGlvbiBvZiBtdWx0aXBsZSANCmluZGVwZW5kZW50IC0t
IFlpbiBLYW5na2FpIGRpZCBzb21lIHByZXN1bWFibHkgdXNlZnVsIHRoaW5ncywgYnV0IGl0
J3MgDQpub3QgYWRkaW5nIGVycm9yIGhhbmRsaW5nIHVubGlrZSB3aGF0IHRoZSBjdXJyZW50
IHBhdGNoIG1lc3NhZ2UgYW5kIGZpbGUgDQpuYW1lIGltcGxpZXMuDQoNCkdyZWV0aW5ncywN
Ck1heGltZS4NCg0K
--------------KjBut0ibrrp3Ib0e1sM4ZqMW
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3DUTF=
-8">
  </head>
  <body>
    <p>On 26-08-2022 18:57, Nicolas Graves wrote:<br>
    </p>
    <blockquote type=3D"cite" cite=3D"mid:87v8qft01k.fsf@HIDDEN">
      <blockquote type=3D"cite" style=3D"color: #007cff;">
        <pre class=3D"moz-quote-pre" wrap=3D"">A bit of a nitpick, but Yi=
n Kagkai was not involved in this patch, I
wrote it myself ...
=2E.. the commenting syslog thing was an unrelated patch, maybe various
commits were squashed?
</pre>
      </blockquote>
      <pre class=3D"moz-quote-pre" wrap=3D"">Sorry, I should have explain=
ed.
Applying both pull requests 6 and 8 failed because 3 lines were common
to both.</pre>
    </blockquote>
    Hm, I didn't encounter that, maybe I accidentally removed one of the
    pre-existing patches or even removed my own patch.
    <blockquote type=3D"cite" cite=3D"mid:87v8qft01k.fsf@HIDDEN">
      <pre class=3D"moz-quote-pre" wrap=3D"">I resolved that by merging b=
oth and recreating a new patch, thus giving
credit to both authors. Is that OK ?</pre>
    </blockquote>
    <p>OK, but some commit messages are getting lost, maybe add a link
      to the two upstream PRs to make clear it's a combination of
      multiple independent -- Yin Kangkai did some presumably useful
      things, but it's not adding error handling unlike what the current
      patch message and file name implies.<br>
    </p>
    <p>Greetings,<br>
      Maxime.<br>
    </p>
  </body>
</html>

--------------KjBut0ibrrp3Ib0e1sM4ZqMW--

--------------4oDIV0VZcSoeRxCCPWptrwDi
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------4oDIV0VZcSoeRxCCPWptrwDi--

--------------0e9U3kawq7G4j7jhbS5Q5ao3--

--------------wtIGBmSQf0BFyaG5EcIf2qnd
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwkZ1wUDAAAAAAAKCRBJ4+4iGRcl7r1v
AP9w7QqfbTqbvvBzig7FcVyni787WcNG7HE/KRlgoSiQ7QEAxbvaZ4LJRg6Wbt9FevMYUAbW5oCp
UBUFw/aozwY98wk=
=XEIq
-----END PGP SIGNATURE-----

--------------wtIGBmSQf0BFyaG5EcIf2qnd--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 26 Aug 2022 16:57:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 12:57:52 2022
Received: from localhost ([127.0.0.1]:54438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRceW-0003Oc-Hp
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2022 12:57:52 -0400
Received: from 14.mo561.mail-out.ovh.net ([188.165.43.98]:51777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oRceT-0003OQ-HN
 for 57387 <at> debbugs.gnu.org; Fri, 26 Aug 2022 12:57:51 -0400
Received: from player690.ha.ovh.net (unknown [10.111.172.60])
 by mo561.mail-out.ovh.net (Postfix) with ESMTP id 6E32B23268
 for <57387 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 16:57:47 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player690.ha.ovh.net (Postfix) with ESMTPSA id 983702DC8770A;
 Fri, 26 Aug 2022 16:57:44 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-97G0022c5d71e4-7259-405c-b780-05ca6721a369,
 868EC9C01196D0D87E0B6285E23886C33314C7A5) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 57387 <at> debbugs.gnu.org
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
In-Reply-To: <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN>
References: <87czcp8wet.fsf@HIDDEN> <87r1134g0f.fsf@HIDDEN>
 <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN>
Date: Fri, 26 Aug 2022 18:57:43 +0200
Message-ID: <87v8qft01k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Ovh-Tracer-Id: 18125299652140917445
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejhedguddtiecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfqggfjpdevjffgvefmvefgnecuuegrihhlohhuthemucehtddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffujghffffkgggtsehttdertddttddtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepieejgfffffduieevgfduiefhtdfgleejhfdvvefhgeekjeevtdfhtdefleejhefgnecukfhppedtrddtrddtrddtpddvudefrdeggedrudeiuddrgeejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpohhuthdphhgvlhhopehplhgrhigvrheiledtrdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepnhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrpdhnsggprhgtphhtthhopedupdhrtghpthhtohepheejfeekjeesuggvsggsuhhgshdrghhnuhdrohhrghdpoffvtefjohhsthepmhhoheeiud
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> A bit of a nitpick, but Yin Kagkai was not involved in this patch, I
> wrote it myself ...
> ... the commenting syslog thing was an unrelated patch, maybe various
> commits were squashed?

Sorry, I should have explained.
Applying both pull requests 6 and 8 failed because 3 lines were common
to both.

I resolved that by merging both and recreating a new patch, thus giving
credit to both authors. Is that OK ?

-- 
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 26 Aug 2022 14:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 10:03:47 2022
Received: from localhost ([127.0.0.1]:54184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRZw2-0004YY-Na
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2022 10:03:47 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:48278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oRZvz-0004YM-Mv
 for 57387 <at> debbugs.gnu.org; Fri, 26 Aug 2022 10:03:44 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by michel.telenet-ops.be with bizsmtp
 id CE3h2800D20ykKC06E3hBa; Fri, 26 Aug 2022 16:03:42 +0200
Message-ID: <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN>
Date: Fri, 26 Aug 2022 16:03:41 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN> <87r1134g0f.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
In-Reply-To: <87r1134g0f.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------o8V980VS7pRsowYl8q00f80d"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661522622; bh=NfgIHxFr5JPcNWka6knhfdJdNx0BJM+Fc8QptS6tO6I=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=XNvZO+apXef8Zk6lXldJfQC/IILwt9XtFqJ/krjzfTZ+/y77aD5D/HPwADgKvXSSu
 XUyu7H+q1eHtEdMhH0eVWLfDXjj0sk4SPpwT9nGxw/Y7HtAvcgLHEQ1jQws2Mkt+y4
 xsqizqqRzVPamvMP2OsOjOtAXgf+4HFu5QXaDqkANVTLTxE8BaLwPoh6hLmpfhma27
 1xMLppUkn2sGUlAKZNTsjSnrs181fhGSLVExr2CR/ri2RXtnl3ZtQdaQkfbpEfot+R
 9ONM2j1UQsxz83/99AVBo4YuXtb7YKElAnGdGfUl5bS+0rhwcDidv/2r5rQSJ0jMTv
 p/uYAhewM/3oA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------o8V980VS7pRsowYl8q00f80d
Content-Type: multipart/mixed; boundary="------------biwJ9zeFUliz94T2KSOwtYUZ";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <48ad6a74-1b21-acf8-7f63-6ec86927e47a@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87r1134g0f.fsf@HIDDEN>
In-Reply-To: <87r1134g0f.fsf@HIDDEN>

--------------biwJ9zeFUliz94T2KSOwtYUZ
Content-Type: multipart/mixed; boundary="------------cqdDt0ErrQJ6c965aWzK10cP"

--------------cqdDt0ErrQJ6c965aWzK10cP
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------cqdDt0ErrQJ6c965aWzK10cP
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------cqdDt0ErrQJ6c965aWzK10cP--

--------------biwJ9zeFUliz94T2KSOwtYUZ--

--------------o8V980VS7pRsowYl8q00f80d
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwjSvQUDAAAAAAAKCRBJ4+4iGRcl7jur
AP9FwiZ3ow9QE2aO0BQOfe4EMmTEh3RtxZtzmvBgPdOGjwEA9wbieauOVjyhoUhPAUdFZ/AF+HeQ
V/EFuo9q7ZE3PAU=
=0F8m
-----END PGP SIGNATURE-----

--------------o8V980VS7pRsowYl8q00f80d--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 26 Aug 2022 07:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 26 03:32:12 2022
Received: from localhost ([127.0.0.1]:51909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRTp5-0005RI-4t
	for submit <at> debbugs.gnu.org; Fri, 26 Aug 2022 03:32:12 -0400
Received: from 9.mo575.mail-out.ovh.net ([46.105.78.111]:40833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oRToz-0005R5-Hv
 for 57387 <at> debbugs.gnu.org; Fri, 26 Aug 2022 03:32:09 -0400
Received: from player756.ha.ovh.net (unknown [10.109.146.86])
 by mo575.mail-out.ovh.net (Postfix) with ESMTP id A274524D3C
 for <57387 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 07:32:03 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player756.ha.ovh.net (Postfix) with ESMTPSA id 9BE992D1063CE
 for <57387 <at> debbugs.gnu.org>; Fri, 26 Aug 2022 07:32:01 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-97G002e563c165-22a8-4355-bbd9-db5f3c31f360,
 868EC9C01196D0D87E0B6285E23886C33314C7A5) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: 57387 <at> debbugs.gnu.org 
Subject: [PATCH] gnu: Add restartd.
Date: Fri, 26 Aug 2022 09:32:00 +0200
Message-ID: <87r1134g0f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Ovh-Tracer-Id: 8570913044332208837
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejgedguddvvdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucfqggfjpdevjffgvefmvefgnecuuegrihhlohhuthemucehtddtnecunecujfgurhephffvufffkfggtgfgsehtqhertddttdejnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepvefhffelhffhffevtdekvddugffgieefleejtdeuuedtieeifeeujeeiuefhgfeinecuffhomhgrihhnpehgihhthhhusgdrtghomhdplhgruhhntghhphgrugdrnhgvthdpuggvsghirghnrdhorhhgnecukfhppedtrddtrddtrddtpddvudefrdeggedrudeiuddrgeejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpohhuthdphhgvlhhopehplhgrhigvrhejheeirdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepnhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrpdhnsggprhgtphhtthhopedupdhrtghpthhtohepheejfeekjeesuggvsggsuhhgshdrghhnuhdrohhrghdpoffvtefjohhsthepmhhoheejhe
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/admin.scm (restartd): New variable.
---
 gnu/packages/admin.scm                        |  54 ++++
 ...td-add-error-handling-for-robustness.patch | 232 ++++++++++++++++++
 .../patches/restartd-fix-compilation.patch    |  53 ++++
 3 files changed, 339 insertions(+)
 create mode 100644 gnu/packages/patches/restartd-add-error-handling-for-ro=
bustness.patch
 create mode 100644 gnu/packages/patches/restartd-fix-compilation.patch

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index a4c5189222..57de594bee 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -51,6 +51,7 @@
 ;;; Copyright =C2=A9 2021 Artyom V. Poptsov <poptsov.artyom@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
 ;;; Copyright =C2=A9 2022 Roman Riabenko <roman@HIDDEN>
+;;; Copyright =C2=A9 2022 Nicolas Graves <ngraves@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5455,6 +5456,59 @@ (define-public fail2ban
 mechanisms if you really want to protect services.")
     (license license:gpl2+)))

+(define-public restartd
+  (let* ((commit "7044125ac55056f2663536f7137170edf92ebd75")
+         ;; Version is 0.2.4 in the version file in the repo
+         ;; but not in github tags.
+         ;; It is released as 0.2.3-1.1 for other distributions.
+         ;; Probably because of the lack of activity upstream.
+         (revision "1"))
+    (package
+      (name "restartd")
+      (version (git-version "0.2.3" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ajraymond/restartd")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1m1np00b4zvvwx63gzysbi38i5vj1jsjvh2s0p9czl6dzyz582z0"))
+         (patches
+          (search-patches
+           "restartd-fix-compilation.patch"
+           "restartd-add-error-handling-for-robustness.patch"))))
+      (build-system gnu-build-system)
+      (arguments
+       (list
+        #:tests? #f ; no tests
+        #:make-flags
+        #~(list (string-append "CC=3D" #$(cc-for-target)))
+        #:phases
+        #~(modify-phases %standard-phases
+            (delete  'configure)
+            (replace 'install
+              (lambda _
+                (install-file "restartd.conf" (string-append #$output "/et=
c"))
+                (install-file "restartd" (string-append #$output "/sbin"))
+                (install-file "restartd.8"
+                              (string-append #$output "/share/man/man8"))
+                (mkdir-p (string-append #$output "/share/man/fr/man8"))
+                (copy-file
+                 "restartd.fr.8"
+                 (string-append #$output "/share/man/fr/man8/restartd.8"))=
)))))
+      (home-page "https://launchpad.net/debian/+source/restartd")
+      (synopsis "Daemon for restarting processes")
+      (description "This package provides a daemon for checking running an=
d not
+running processes.  It reads the /proc directory every n seconds and does a
+POSIX regexp on the process names.  The daemon runs an user-provided script
+when it detects a program in the running processes, or an alternate script=
 if
+it doesn't detect the program.  The daemon can only be called by the root
+user, but can use @code{sudo -u user} in the process called if needed.")
+      (license license:gpl2+))))
+
 (define-public rex
   (package
     (name "rex")
diff --git a/gnu/packages/patches/restartd-add-error-handling-for-robustnes=
s.patch b/gnu/packages/patches/restartd-add-error-handling-for-robustness.p=
atch
new file mode 100644
index 0000000000..f0abcf1dac
--- /dev/null
+++ b/gnu/packages/patches/restartd-add-error-handling-for-robustness.patch
@@ -0,0 +1,232 @@
+From ec606eb15091ff8ffa672500413128c29814f8ad Mon Sep 17 00:00:00 2001
+From: Yin Kangkai <yinkangkai@HIDDEN>, Maxime Devos <maximedevos@telen=
et.be>
+Date: Thu, 25 Aug 2022 14:29:25 +0200
+Subject: [PATCH] Add some error handling for robustness.
+
+This makes the code a little more robust. What if /var/run does not
+exist, or we do not have permission to open
+/var/run/restartd.pid (EPERM?) due to SELinux misconfiguration?
+This patch also avoids segmentation fault when run from non-root user.
+---
+ config.c   | 19 ++++++++++----
+ config.h   |  2 ++
+ restartd.c | 73 ++++++++++++++++++++++++++++++++++++++++++++++--------
+ 3 files changed, 79 insertions(+), 15 deletions(-)
+
+diff --git a/config.c b/config.c
+index f307b8a..94907e3 100644
+--- a/config.c
++++ b/config.c
+@@ -57,7 +57,11 @@ int read_config(void)
+     config_process_number =3D 0;
+
+     line1 =3D (char *) malloc(MAX_LINE_LENGTH);
++    if (!line1)
++      oom_failure();
+     line2 =3D (char *) malloc(MAX_LINE_LENGTH);
++    if (!line2)
++      oom_failure();
+
+     if ((config_fd =3D fopen(config_file, "rt")) =3D=3D NULL) {
+         fprintf(stderr, "Error at opening config file: %s\n", config_file=
);
+@@ -155,11 +159,16 @@ void dump_config(void) {
+     int i;
+
+     for(i=3D0; i<config_process_number; i++) {
+-        printf("ID=3D%d\n  name=3D%s\n  regexp=3D%s\n  running=3D%s\n  no=
t_running=3D%s\n", i,
+-            config_process[i].name,
+-            config_process[i].regexp,
+-            config_process[i].running,
+-            config_process[i].not_running);
++      if (printf("ID=3D%d\n  name=3D%s\n  regexp=3D%s\n  running=3D%s\n  =
not_running=3D%s\n", i,
++		 config_process[i].name,
++		 config_process[i].regexp,
++		 config_process[i].running,
++		 config_process[i].not_running) < 0) {
++	/* Maybe stdout points to a file and a file system quotum was exceeded? =
*/
++	fprintf(stderr, "Failed to dump the configuration. Exiting.\n");
++	syslog(LOG_ERR, "Failed to dump the configuration. Exiting.");
++	exit(1);
++      }
+     }
+
+ }
+diff --git a/config.h b/config.h
+index fabaa2b..b5a134a 100644
+--- a/config.h
++++ b/config.h
+@@ -1,6 +1,7 @@
+ /* restartd - Process checker and/or restarter daemon
+  * Copyright (C) 2000-2002 Tibor Koleszar <oldw@HIDDEN>
+  * Copyright (C) 2006 Aur=C3=A9lien G=C3=89R=C3=94ME <ag@HIDDEN>
++ * Copyright (C) 2022 Maxime Devos <maximedevos@HIDDEN>
+  *
+  * This program is free software; you can redistribute it and/or
+  * modify it under the terms of the GNU General Public License
+@@ -43,5 +44,6 @@ typedef struct config_process_type {
+
+ int read_config(/* char *config_file */);
+ void dump_config(void);
++void oom_failure(void);
+
+ #endif /* RESTARTD_CONFIG_H */
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..df0a6eb 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -1,6 +1,8 @@
+ /* restartd - Process checker and/or restarter daemon
+  * Copyright (C) 2000-2002 Tibor Koleszar <oldw@HIDDEN>
+  * Copyright (C) 2006 Aur=C3=A9lien G=C3=89R=C3=94ME <ag@HIDDEN>
++ * Copyright (C) 2016 Yin Kangkai <yinkangkai@HIDDEN>
++ * Copyright (C) 2022 Maxime Devos <maximedevos@HIDDEN>
+  *
+  * This program is free software; you can redistribute it and/or
+  * modify it under the terms of the GNU General Public License
+@@ -52,6 +54,17 @@ void got_signal(int sig)
+     }
+ }
+
++/* Ignoring out-of-memory failures is risky on systems without virtual me=
mory
++   where additionally at address 0 there is actually something important
++   mapped. Additionally, while often on Linux the OOM killer will kill pr=
ocesses
++   where an OOM happens, this is not always the case and there exist othe=
r systems
++   without an OOM killer (e.g. the Hurd). */
++void oom_failure()
++{
++  syslog(LOG_ERR, "Failed to allocate memory. Exiting.");
++  exit(1);
++}
++
+ int main(int argc, char *argv[])
+ {
+     DIR *procdir_id;
+@@ -75,15 +88,21 @@ int main(int argc, char *argv[])
+
+     /* Options */
+     config_file =3D strdup(DEFAULT_CONFIG);
++    if (!config_file)
++      oom_failure();
++
+     list_only =3D 0;
+
+     for(i =3D 0; i < argc; i++) {
+         if (!strcmp(argv[i], "-c") || !strcmp(argv[i], "--config")) {
+             config_file =3D strdup(argv[i + 1]);
++	    if (!config_file)
++	      oom_failure();
+         }
+         if (!strcmp(argv[i], "-v") || !strcmp(argv[i], "--version")) {
+             printf("restard %s - Copyright 2000-2002 Tibor Koleszar <oldw=
@debian.org>\n"
+-                   "                Copyright 2006 Aur=C3=A9lien G=C3=89R=
=C3=94ME <ag@HIDDEN>\n",
++                   "                Copyright 2006 Aur=C3=A9lien G=C3=89R=
=C3=94ME <ag@HIDDEN>\n"
++                   "                Copyright 2022 Maxime Devos <maximede=
vos@HIDDEN>\n",
+                    VERSION);
+             exit(0);
+         }
+@@ -118,10 +137,13 @@ int main(int argc, char *argv[])
+                     "  -i <interval_sec>: the check interval in second\n"
+                     "  -l               : list configuration options\n"
+                     "  -h               : help\n\n", VERSION);
++	    exit(0);
+         }
+     }
+
+     config_process =3D malloc(sizeof(struct config_process_type) * 128);
++    if (!config_process)
++      oom_failure();
+
+     read_config();
+     if (list_only) {
+@@ -133,9 +155,17 @@ int main(int argc, char *argv[])
+            config_process_number);
+
+     procdir_dirent =3D malloc(sizeof(struct dirent));
++    if (!procdir_dirent)
++      oom_failure();
+     proc_cmdline_str =3D (char *) malloc(1024);
++    if (!proc_cmdline_str)
++      oom_failure();
+     proc_cmdline_name =3D (char *) malloc(1024);
++    if (!proc_cmdline_name)
++      oom_failure();
+     regc =3D malloc(1024);
++    if (!regc)
++      oom_failure();
+
+     /* Catch signals */
+     signal(SIGTERM, got_signal);
+@@ -187,8 +217,18 @@ int main(int argc, char *argv[])
+         }
+
+         out_proc =3D fopen("/var/run/restartd.pid", "wt");
+-        fprintf(out_proc, "%d", getpid());
+-        fclose(out_proc);
++	if (!out_proc) {
++	  syslog(LOG_ERR, "Failed to open /var/run/restartd.pid");
++	  return -1;
++	}
++        if (fprintf(out_proc, "%d", getpid()) < 0) {
++	  syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting.");
++	  return -1;
++	}
++        if (fclose(out_proc) < 0) { /* errors can happen when flushing th=
e buffer */
++	  syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting.");
++	  return -1;
++	}
+
+         while(1) {
+             if ((procdir_id =3D opendir("/proc")) =3D=3D NULL) {
+@@ -237,16 +277,23 @@ int main(int argc, char *argv[])
+            now =3D time(NULL);
+
+            out_proc =3D fopen("/var/run/restartd", "wt");
++	   if (!out_proc) {
++	     syslog(LOG_ERR, "Failed to open /var/run/restartd");
++	     return -1;
++	   }
+
+-           fprintf(out_proc, "%s\n", ctime(&now));
++           if (fprintf(out_proc, "%s\n", ctime(&now)) < 0) {
++	     syslog(LOG_ERR, "Failed to write to /var/run/restartd. Exiting.");
++	     return -1;
++	   }
+
+            for(i=3D0; i<config_process_number; i++) {
+                if (strlen(config_process[i].processes) > 0) {
+                    if (strlen(config_process[i].running) > 0) {
+                        strcpy(config_process[i].status, "running");
+-                       syslog(LOG_INFO, "%s is running, executing '%s'",
++                       /* syslog(LOG_INFO, "%s is running, executing '%s'=
",
+                               config_process[i].name,
+-                              config_process[i].running);
++                              config_process[i].running); */
+                        system(config_process[i].running);
+                     } else {
+                         strcpy(config_process[i].status, "running");
+@@ -267,12 +314,18 @@ int main(int argc, char *argv[])
+                     strcpy(config_process[i].status, "not running");
+                 }
+
+-                fprintf(out_proc, "%-12s %-12s      %s\n",
+-                        config_process[i].name, config_process[i].status,
+-                        config_process[i].processes);
++		if (fprintf(out_proc, "%-12s %-12s      %s\n",
++			    config_process[i].name, config_process[i].status,
++			    config_process[i].processes) < 0) {
++		  syslog(LOG_ERR, "Failed to write to /var/run/restartd. Exiting.");
++		  return -1;
++		}
+             }
+
+-            fclose(out_proc);
++	    if (fclose(out_proc) < 0) {
++	      syslog(LOG_ERR, "Failed to write to /var/run/restartd.pid. Exiting=
.");
++	      return -1;
++	    }
+
+             sleep(check_interval);
+         }
+--
+2.37.2
+
diff --git a/gnu/packages/patches/restartd-fix-compilation.patch b/gnu/pack=
ages/patches/restartd-fix-compilation.patch
new file mode 100644
index 0000000000..a380205675
--- /dev/null
+++ b/gnu/packages/patches/restartd-fix-compilation.patch
@@ -0,0 +1,53 @@
+From 84edc2042bb0a82e65bd4d165b706519886b4075 Mon Sep 17 00:00:00 2001
+From: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+Date: Mon, 10 Aug 2020 19:39:30 +0100
+Subject: [PATCH] Fix build with gcc-10
+
+Bug: https://bugs.debian.org/957761
+Signed-off-by: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+---
+ config.h   | 12 ++++++------
+ restartd.c |  7 +++++++
+ 2 files changed, 13 insertions(+), 6 deletions(-)
+
+diff --git a/config.h b/config.h
+index fabaa2b..a79b28e 100644
+--- a/config.h
++++ b/config.h
+@@ -25,12 +25,12 @@
+
+ #define DEFAULT_CONFIG "/etc/restartd.conf"
+
+-int debug;
+-int config_process_number;
+-int check_interval;
+-int foreground;
+-struct config_process_type *config_process;
+-char *config_file;
++extern int debug;
++extern int config_process_number;
++extern int check_interval;
++extern int foreground;
++extern struct config_process_type *config_process;
++extern char *config_file;
+
+ typedef struct config_process_type {
+   char name[64];
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..617b298 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -35,6 +35,13 @@
+
+ #include "config.h"
+
++int debug;
++int config_process_number;
++int check_interval;
++int foreground;
++struct config_process_type *config_process;
++char *config_file;
++
+ /* SIGTERM & SIGHUP handler */
+ void got_signal(int sig)
+ {
--
2.37.2


<#secure method=3Dpgpmime mode=3Dsign>

--
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 25 Aug 2022 11:33:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 07:33:09 2022
Received: from localhost ([127.0.0.1]:49206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRB6j-0002n5-1I
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2022 07:33:09 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:52694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oRB6f-0002mu-K3
 for 57387 <at> debbugs.gnu.org; Thu, 25 Aug 2022 07:33:07 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by laurent.telenet-ops.be with bizsmtp
 id BnZ22800G20ykKC01nZ3aM; Thu, 25 Aug 2022 13:33:04 +0200
Message-ID: <fe69e2c5-d212-36fc-89e8-cd4a5a471dcd@HIDDEN>
Date: Thu, 25 Aug 2022 13:33:01 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN> <87v8qgk7i7.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87v8qgk7i7.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------un4BBwtYTmoik0Si9krsBAva"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661427184; bh=WhIHqqsNBFhzHO8+RNFxAcVibhIBhZeDs2DjVkSteio=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=cIwxic9L3x+kaNrskI0/gfa/eGBjvBPpiZKG/e2H1MxlhVaDVjP0ENyfrZ5VA5PbK
 giXsFSSs/vo2sCdk/j8nloN/TgXE0W572+UxtLblLz2ye0agqisLXRi3onNfjUxTQw
 G7ojL+FJnq38Wkn4yawWIqQczY1mpinlA5mSK4mFh/MlgeteLkdVT67Dqwr6L5R5X2
 Amt5JOpr2f0poHcNesUj4Vr8WNUlbzqgVngbvTqZdLNnsXSwtZ3NDwy5TVGJsLE34F
 ATCzc2FIlFFyzU9FWuAbU6ISsaqIWS5tT5npEHxs4O9HJIPtZGVpXpzQaFRiSL4eE2
 cIN74FAP2K5DA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------un4BBwtYTmoik0Si9krsBAva
Content-Type: multipart/mixed; boundary="------------b0e1BS2J00KL4dk02RmxVGxs";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <fe69e2c5-d212-36fc-89e8-cd4a5a471dcd@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87v8qgk7i7.fsf@HIDDEN>
In-Reply-To: <87v8qgk7i7.fsf@HIDDEN>

--------------b0e1BS2J00KL4dk02RmxVGxs
Content-Type: multipart/mixed; boundary="------------xxJSU55zBr92va2Ou72E0EAX"

--------------xxJSU55zBr92va2Ou72E0EAX
Content-Type: multipart/alternative;
 boundary="------------80JK1TcTfKL1iC91JFVoWhcv"

--------------80JK1TcTfKL1iC91JFVoWhcv
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQpPbiAyNS0wOC0yMDIyIDExOjE2LCBOaWNvbGFzIEdyYXZlcyB2aWEgR3VpeC1wYXRjaGVz
IHZpYSB3cm90ZToNCj4gTWFkZSBzdWdnZXN0ZWQgY2hhbmdlcywgcmVwaHJhc2VkIHRoZSBk
ZXNjcmlwdGlvbi4NCj4gQnV0IEkgbmV2ZXIgbGVhcm5lZCBDIGFuZCBhbSBub3QgYXQgZWFz
ZSBmb3IgYWRkaW5nIGNoZWNrcyBpbiBDIHNvdXJjZQ0KPiBjb2RlLCBzb3JyeS4NCj4NCkkg
aGF2ZSBtYWRlIGEgUFIgYXQgPGh0dHBzOi8vZ2l0aHViLmNvbS9hanJheW1vbmQvcmVzdGFy
dGQvcHVsbC84PiANCjxodHRwczovL2dpdGh1Yi5jb20vYWpyYXltb25kL3Jlc3RhcnRkL3B1
bGwvOD4gYWRkaW5nIHNvbWUgZXJyb3IgY2hlY2tpbmcuDQoNCkdyZWV0aW5ncywNCk1heGlt
ZS4NCg0K
--------------80JK1TcTfKL1iC91JFVoWhcv
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3DUTF=
-8">
  </head>
  <body>
    <p><br>
    </p>
    <div class=3D"moz-cite-prefix">On 25-08-2022 11:16, Nicolas Graves vi=
a
      Guix-patches via wrote:<br>
    </div>
    <blockquote type=3D"cite" cite=3D"mid:87v8qgk7i7.fsf@HIDDEN">
      <pre class=3D"moz-quote-pre" wrap=3D"">
Made suggested changes, rephrased the description.
But I never learned C and am not at ease for adding checks in C source
code, sorry.

</pre>
    </blockquote>
    <p>I have made a PR at=C2=A0<a moz-do-not-send=3D"true"
        href=3D"https://github.com/ajraymond/restartd/pull/8">&lt;https:/=
/github.com/ajraymond/restartd/pull/8&gt;</a>
      adding some error checking.</p>
    <p>Greetings,<br>
      Maxime.<br>
    </p>
  </body>
</html>

--------------80JK1TcTfKL1iC91JFVoWhcv--

--------------xxJSU55zBr92va2Ou72E0EAX
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------xxJSU55zBr92va2Ou72E0EAX--

--------------b0e1BS2J00KL4dk02RmxVGxs--

--------------un4BBwtYTmoik0Si9krsBAva
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwdd7QUDAAAAAAAKCRBJ4+4iGRcl7u0b
AQCwNbSBizMbVvlr9bdVlutYypntuxHgSRCHlhmKg9HuGwD/chtiapsFbqRKMkz9fClicWJKbGTB
qlqg9pKq+lmLTQM=
=8cKe
-----END PGP SIGNATURE-----

--------------un4BBwtYTmoik0Si9krsBAva--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 25 Aug 2022 10:34:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 06:34:10 2022
Received: from localhost ([127.0.0.1]:49108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oRABe-0007Wf-3Y
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2022 06:34:10 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:46956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oRABY-0007WT-R7
 for 57387 <at> debbugs.gnu.org; Thu, 25 Aug 2022 06:34:08 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by laurent.telenet-ops.be with bizsmtp
 id Bma22800220ykKC01ma2yP; Thu, 25 Aug 2022 12:34:03 +0200
Message-ID: <e1d494b4-fa32-49a7-24da-59f943d58da1@HIDDEN>
Date: Thu, 25 Aug 2022 12:34:01 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN> <87v8qgk7i7.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <87v8qgk7i7.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------jSMM8NSAKkWndRc6Hnzb4J71"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661423643; bh=6zv9VKxtlWUz6Gx8vVCTFOuXLOICDVAVYjYhFWvkESk=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=SvBaFyvkF0o62LAV5B1pfUypgMhEVKNxOmfvtnYFfYlRUMBJx4ZvU89IBte7yL7SL
 DU+9CJTCQ94cGIMRuVDStK5VsMXmaiNRRYUoIZSDBvZDERo5Rp+SG/DPbSnn4vrv7G
 7ASvWU7FbVwUGHzefxlSjoKcX+cb9eDVdR3keEGW4Hk82sZ9S5e+TFahd/qxkHQC74
 xqWBIn1Nch9qRBOcHA7csdnJmYn8xqFTJWAziv4PZCz9b0z3xzkDj7hbfmasSA1WAB
 dXSh2MV/xVjSmTF0NNTPsTTfZ8+fkmzWx6Lku4ADLMaUM4EJJfhxtJpqOVxGZ6wyL4
 azIPvYhthN52A==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------jSMM8NSAKkWndRc6Hnzb4J71
Content-Type: multipart/mixed; boundary="------------7P9jVtsG4cIhkqBE0bNZml5i";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <e1d494b4-fa32-49a7-24da-59f943d58da1@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN> <87v8qgk7i7.fsf@HIDDEN>
In-Reply-To: <87v8qgk7i7.fsf@HIDDEN>

--------------7P9jVtsG4cIhkqBE0bNZml5i
Content-Type: multipart/mixed; boundary="------------PTydeRa6D0H0R7yEqHJ6iI7v"

--------------PTydeRa6D0H0R7yEqHJ6iI7v
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

DQpPbiAyNS0wOC0yMDIyIDExOjE2LCBOaWNvbGFzIEdyYXZlcyB2aWEgR3VpeC1wYXRjaGVz
IHZpYSB3cm90ZToNCj4gTWFkZSBzdWdnZXN0ZWQgY2hhbmdlcywgcmVwaHJhc2VkIHRoZSBk
ZXNjcmlwdGlvbi4NCj4gQnV0IEkgbmV2ZXIgbGVhcm5lZCBDIGFuZCBhbSBub3QgYXQgZWFz
ZSBmb3IgYWRkaW5nIGNoZWNrcyBpbiBDIHNvdXJjZQ0KPiBjb2RlLCBzb3JyeS4NCj4NCkkn
bGwgZ2l2ZSBpdCBhIHRyeSBteXNlbGYgLi4uDQo=
--------------PTydeRa6D0H0R7yEqHJ6iI7v
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------PTydeRa6D0H0R7yEqHJ6iI7v--

--------------7P9jVtsG4cIhkqBE0bNZml5i--

--------------jSMM8NSAKkWndRc6Hnzb4J71
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwdQGQUDAAAAAAAKCRBJ4+4iGRcl7k5J
AP9PGWngPT6c/egXGLW5ZmEA8KkPynwITvLxcs3MMucoOgD8C3T0eBMq+a2/UnsuCQG1A2iUQx5P
IbRh7DliDNruZgs=
=afL/
-----END PGP SIGNATURE-----

--------------jSMM8NSAKkWndRc6Hnzb4J71--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 25 Aug 2022 09:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 05:16:58 2022
Received: from localhost ([127.0.0.1]:48972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oR8yw-0003Al-GG
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2022 05:16:58 -0400
Received: from 13.mo583.mail-out.ovh.net ([87.98.182.191]:55103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oR8yu-0003Ac-MY
 for 57387 <at> debbugs.gnu.org; Thu, 25 Aug 2022 05:16:57 -0400
Received: from player787.ha.ovh.net (unknown [10.110.115.223])
 by mo583.mail-out.ovh.net (Postfix) with ESMTP id AC29724F80
 for <57387 <at> debbugs.gnu.org>; Thu, 25 Aug 2022 09:16:54 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player787.ha.ovh.net (Postfix) with ESMTPSA id 3E9202E0C72E6
 for <57387 <at> debbugs.gnu.org>; Thu, 25 Aug 2022 09:16:53 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-98R00268ee38bd-fad1-45b0-b9f0-7477c7d1ad0c,
 EE7AED07EA83ED23F885A8103ECAE878C220A66D) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: 57387 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add restartd.
Date: Thu, 25 Aug 2022 11:16:48 +0200
Message-ID: <87v8qgk7i7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Ovh-Tracer-Id: 4468978207883125445
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejfedgudefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpefhvffufffkgggtsehttdertddttddtnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepueejleeileejfffhleetjedtleejheevudffleevgfdufeekhefgvddvveegveefnecukfhppedtrddtrddtrddtpddvudefrdeggedrudeiuddrgeejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhpohhuthdphhgvlhhopehplhgrhigvrhejkeejrdhhrgdrohhvhhdrnhgvthdpihhnvghtpedtrddtrddtrddtpdhmrghilhhfrhhomhepnhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrpdhnsggprhgtphhtthhopedupdhrtghpthhtohepheejfeekjeesuggvsggsuhhgshdrghhnuhdrohhrghdpoffvtefjohhsthepmhhoheekfe
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Made suggested changes, rephrased the description.
But I never learned C and am not at ease for adding checks in C source
code, sorry.

-- 
Best regards,
Nicolas Graves




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 25 Aug 2022 09:14:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 25 05:14:59 2022
Received: from localhost ([127.0.0.1]:48958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oR8x1-00036S-7W
	for submit <at> debbugs.gnu.org; Thu, 25 Aug 2022 05:14:59 -0400
Received: from 5.mo582.mail-out.ovh.net ([46.105.54.31]:42307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oR8wy-00036I-Ga
 for 57387 <at> debbugs.gnu.org; Thu, 25 Aug 2022 05:14:57 -0400
Received: from player779.ha.ovh.net (unknown [10.110.115.139])
 by mo582.mail-out.ovh.net (Postfix) with ESMTP id 57F4B257CE
 for <57387 <at> debbugs.gnu.org>; Thu, 25 Aug 2022 09:14:55 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player779.ha.ovh.net (Postfix) with ESMTPSA id B1F8E2DB91EED
 for <57387 <at> debbugs.gnu.org>; Thu, 25 Aug 2022 09:14:53 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-103G00540c523a8-9420-454c-87b0-2e27840c7e5d,
 EE7AED07EA83ED23F885A8103ECAE878C220A66D) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: 57387 <at> debbugs.gnu.org
Subject: [PATCH] gnu: Add restartd.
Date: Thu, 25 Aug 2022 11:14:53 +0200
Message-ID: <87y1vck7le.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Ovh-Tracer-Id: 4435482683604329157
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejfedgudefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpefhvffufffkgggtgfesthhqredttddtjeenucfhrhhomheppfhitgholhgrshcuifhrrghvvghsuceonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqeenucggtffrrghtthgvrhhnpeevhffflefhhfffvedtkedvudfggfeifeeljedtueeutdeiieefueejieeuhffgieenucffohhmrghinhepghhithhhuhgsrdgtohhmpdhlrghunhgthhhprggurdhnvghtpdguvggsihgrnhdrohhrghenucfkpheptddrtddrtddrtddpvddufedrgeegrdduiedurdegjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeejledrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdpnhgspghrtghpthhtohepuddprhgtphhtthhopeehjeefkeejseguvggssghughhsrdhgnhhurdhorhhgpdfovfetjfhoshhtpehmohehkedv
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/admin.scm (restartd): New variable.
---
 gnu/packages/admin.scm                        | 53 +++++++++++++++++++
 .../patches/restartd-fix-compilation.patch    | 53 +++++++++++++++++++
 .../restartd-fix-segfault-normal-user.patch   | 45 ++++++++++++++++
 3 files changed, 151 insertions(+)
 create mode 100644 gnu/packages/patches/restartd-fix-compilation.patch
 create mode 100644 gnu/packages/patches/restartd-fix-segfault-normal-user.=
patch

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index a4c5189222..17ebd5fd7b 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -51,6 +51,7 @@
 ;;; Copyright =C2=A9 2021 Artyom V. Poptsov <poptsov.artyom@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
 ;;; Copyright =C2=A9 2022 Roman Riabenko <roman@HIDDEN>
+;;; Copyright =C2=A9 2022 Nicolas Graves <ngraves@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5455,6 +5456,58 @@ (define-public fail2ban
 mechanisms if you really want to protect services.")
     (license license:gpl2+)))

+(define-public restartd
+  (let* ((commit "7044125ac55056f2663536f7137170edf92ebd75")
+         ;; Version is 0.2.4 in the version file in the repo
+         ;; but not in github tags.
+         ;; It is released as 0.2.3-1.1 for other distributions.
+         ;; Probably because of the lack of activity upstream.
+         (revision "1"))
+    (package
+      (name "restartd")
+      (version (git-version "0.2.3" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ajraymond/restartd")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1m1np00b4zvvwx63gzysbi38i5vj1jsjvh2s0p9czl6dzyz582z0"))
+         (patches
+          (search-patches "restartd-fix-segfault-normal-user.patch"
+                          "restartd-fix-compilation.patch"))))
+      (build-system gnu-build-system)
+      (arguments
+       (list
+        #:tests? #f ; no tests
+        #:make-flags
+        #~(list (string-append "CC=3D" #$(cc-for-target)))
+        #:phases
+        #~(modify-phases %standard-phases
+            (delete  'configure)
+            (replace 'install
+              (lambda _
+                (install-file "restartd.conf" (string-append #$output "/et=
c"))
+                (install-file "restartd" (string-append #$output "/sbin"))
+                (install-file "restartd.8"
+                              (string-append #$output "/share/man/man8"))
+                (mkdir-p (string-append #$output "/share/man/fr/man8"))
+                (copy-file
+                 "restartd.fr.8"
+                 (string-append #$output "/share/man/fr/man8/restartd.8"))=
)))))
+      (home-page "https://launchpad.net/debian/+source/restartd")
+      (synopsis "Daemon for restarting processes")
+      (description "This package provides a daemon for checking running an=
d not
+running processes.  It reads the /proc directory every n seconds and does a
+POSIX regexp on the process names.  The daemon runs an user-provided script
+when it detects a program in the running processes, or an alternate script=
 if
+it doesn't detect the program.  The daemon can only be called by the root
+user, but can use @code{sudo -u user} in the process called if needed.")
+      (license license:gpl2+))))
+
 (define-public rex
   (package
     (name "rex")
diff --git a/gnu/packages/patches/restartd-fix-compilation.patch b/gnu/pack=
ages/patches/restartd-fix-compilation.patch
new file mode 100644
index 0000000000..a380205675
--- /dev/null
+++ b/gnu/packages/patches/restartd-fix-compilation.patch
@@ -0,0 +1,53 @@
+From 84edc2042bb0a82e65bd4d165b706519886b4075 Mon Sep 17 00:00:00 2001
+From: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+Date: Mon, 10 Aug 2020 19:39:30 +0100
+Subject: [PATCH] Fix build with gcc-10
+
+Bug: https://bugs.debian.org/957761
+Signed-off-by: Sudip Mukherjee <sudipm.mukherjee@HIDDEN>
+---
+ config.h   | 12 ++++++------
+ restartd.c |  7 +++++++
+ 2 files changed, 13 insertions(+), 6 deletions(-)
+
+diff --git a/config.h b/config.h
+index fabaa2b..a79b28e 100644
+--- a/config.h
++++ b/config.h
+@@ -25,12 +25,12 @@
+
+ #define DEFAULT_CONFIG "/etc/restartd.conf"
+
+-int debug;
+-int config_process_number;
+-int check_interval;
+-int foreground;
+-struct config_process_type *config_process;
+-char *config_file;
++extern int debug;
++extern int config_process_number;
++extern int check_interval;
++extern int foreground;
++extern struct config_process_type *config_process;
++extern char *config_file;
+
+ typedef struct config_process_type {
+   char name[64];
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..617b298 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -35,6 +35,13 @@
+
+ #include "config.h"
+
++int debug;
++int config_process_number;
++int check_interval;
++int foreground;
++struct config_process_type *config_process;
++char *config_file;
++
+ /* SIGTERM & SIGHUP handler */
+ void got_signal(int sig)
+ {
diff --git a/gnu/packages/patches/restartd-fix-segfault-normal-user.patch b=
/gnu/packages/patches/restartd-fix-segfault-normal-user.patch
new file mode 100644
index 0000000000..5c28c3b2ad
--- /dev/null
+++ b/gnu/packages/patches/restartd-fix-segfault-normal-user.patch
@@ -0,0 +1,45 @@
+From 67d7308ba52d2c605d0175c14c34ff09c9d322fb Mon Sep 17 00:00:00 2001
+From: Yin Kangkai <yinkangkai@HIDDEN>
+Date: Sat, 1 Oct 2016 13:52:58 +0800
+Subject: [PATCH] Fix segfault when run as normal user
+
+Also exit immediately when "restartd -h"
+---
+ restartd.c | 9 +++++++--
+ 1 file changed, 7 insertions(+), 2 deletions(-)
+
+diff --git a/restartd.c b/restartd.c
+index 2aa720c..1d46fe1 100644
+--- a/restartd.c
++++ b/restartd.c
+@@ -118,6 +118,7 @@ int main(int argc, char *argv[])
+                     "  -i <interval_sec>: the check interval in second\n"
+                     "  -l               : list configuration options\n"
+                     "  -h               : help\n\n", VERSION);
++	    exit(0);
+         }
+     }
+
+@@ -187,6 +188,10 @@ int main(int argc, char *argv[])
+         }
+
+         out_proc =3D fopen("/var/run/restartd.pid", "wt");
++	if (!out_proc) {
++		syslog(LOG_ERR, "Failed to open /var/run/restartd.pid");
++		return -1;
++	}
+         fprintf(out_proc, "%d", getpid());
+         fclose(out_proc);
+
+@@ -244,9 +249,9 @@ int main(int argc, char *argv[])
+                if (strlen(config_process[i].processes) > 0) {
+                    if (strlen(config_process[i].running) > 0) {
+                        strcpy(config_process[i].status, "running");
+-                       syslog(LOG_INFO, "%s is running, executing '%s'",
++                       /* syslog(LOG_INFO, "%s is running, executing '%s'=
",
+                               config_process[i].name,
+-                              config_process[i].running);
++                              config_process[i].running); */
+                        system(config_process[i].running);
+                     } else {
+                         strcpy(config_process[i].status, "running");
--
2.37.2




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 24 Aug 2022 18:15:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 14:15:01 2022
Received: from localhost ([127.0.0.1]:48192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oQuu4-0004vm-2n
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 14:15:01 -0400
Received: from knopi.disroot.org ([178.21.23.139]:58742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1oQuty-0004vZ-EH
 for 57387 <at> debbugs.gnu.org; Wed, 24 Aug 2022 14:14:58 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id E91AC4004B;
 Wed, 24 Aug 2022 20:14:52 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 5anJea0FUjr1; Wed, 24 Aug 2022 20:14:52 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1661364891; bh=7SwSmyW4RpxJa16PGcB0P6Db20yCb7GTYtwWHyw5V4s=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=Yhr08pjfqHarhdc4FmOvwb8gujbfrSySQ8vmkuuSSw4/Z4LQubV2emAh10U2ycIsW
 8GlAxyMNK0kDpDaPuLhSLkHivePolIQBQMPthY24H1zZYANNP03cWZYDFiZuZuQ0Ow
 Ym9tkKq4+Gz+VP7oZYCs3EGr/T7E0hNyz3QmGhoMJxs33Vo9k79zg+KmINFAQeg0Eo
 ug9Ojmsgk0IFf/S1ab8I1BiXcyiGEf41+dzSsJc3WwSNH/N9tk5wMG6craHxEU86jM
 qh6pFTKCi49eAHGLmHzzae2mKuIDXylDfN9M5H1kOs5ZzNe9lltugJYRxOC7WXqvKj
 +6QIPxZhmr8NQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Wed, 24 Aug 2022 19:14:51 +0100
Message-Id: <CMEGPAOXJYSW.13139ZG959O0M@guix-aspire>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
From: "(" <paren@HIDDEN>
To: "Maxime Devos" <maximedevos@HIDDEN>, "Nicolas Graves"
 <ngraves@HIDDEN>, <57387 <at> debbugs.gnu.org>
References: <87czcp8wet.fsf@HIDDEN>
 <31ad9b2c-6bfe-c472-0ba2-ad14d689ef1d@HIDDEN>
In-Reply-To: <31ad9b2c-6bfe-c472-0ba2-ad14d689ef1d@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed Aug 24, 2022 at 7:09 PM BST, Maxime Devos wrote:
> > +                (substitute* "Makefile"
> > +                  (("CC \\?=3D gcc") "CC =3D gcc"))))
> For cross-compilation, use (cc-for-target)

Also, you can replace this substitution with make-flags:

  #:make-flags
  #~(list (string-append "CC=3D" #$(cc-for-target)))

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at 57387 <at> debbugs.gnu.org:


Received: (at 57387) by debbugs.gnu.org; 24 Aug 2022 18:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 14:09:13 2022
Received: from localhost ([127.0.0.1]:48183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oQuoS-0004nC-Jz
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 14:09:12 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:57352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oQuoQ-0004n3-R2
 for 57387 <at> debbugs.gnu.org; Wed, 24 Aug 2022 14:09:11 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by laurent.telenet-ops.be with bizsmtp
 id BW972800H20ykKC01W97Fn; Wed, 24 Aug 2022 20:09:09 +0200
Message-ID: <31ad9b2c-6bfe-c472-0ba2-ad14d689ef1d@HIDDEN>
Date: Wed, 24 Aug 2022 20:09:07 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.12.0
Content-Language: en-US
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
References: <87czcp8wet.fsf@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
In-Reply-To: <87czcp8wet.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------tUbwrWrZ0wjnNcTi71YW3LXQ"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1661364549; bh=7GW/k1GM5mE4cAAjzMU+FESCqr/JFJag34E2QNfgyGs=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=MUdEmA3GY+TluweemonER7lUvtJG7YeAPJsr99hnzob+axGLgBZxXZGsoWzqdJxwP
 4nyYzRIl494E9mnt+zBMjD1NLnHxXJFhMce7ATJG97L8yW8wKN3mcmtETrL9eZuFOw
 m1SKJAM/y4yo8De3i+i9C1khfaTLi/80kXBxVpUZj07ItsYZ/b6CtUoWKLiW37BPOH
 HIzSCPZOrh2VLFhFlgwRltZJjID0H4Q8D9pnU9S6627VL1T9BaOxCMt+xgnE5nwKIS
 hZQrL4cIfY1MxLDnO3j5fKS4dqZ5qsz4ZrgwGFGAka3YP2teCZaKix+kTuKFHFXqaS
 RwIMKthas0BsA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 57387
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------tUbwrWrZ0wjnNcTi71YW3LXQ
Content-Type: multipart/mixed; boundary="------------EyH7vkVPx12NW0hoTjDd6wF2";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Nicolas Graves <ngraves@HIDDEN>, 57387 <at> debbugs.gnu.org
Message-ID: <31ad9b2c-6bfe-c472-0ba2-ad14d689ef1d@HIDDEN>
Subject: Re: [bug#57387] [PATCH] gnu: Add restartd.
References: <87czcp8wet.fsf@HIDDEN>
In-Reply-To: <87czcp8wet.fsf@HIDDEN>

--------------EyH7vkVPx12NW0hoTjDd6wF2
Content-Type: multipart/mixed; boundary="------------OGEsoYCB09Z6I8BUJalUJXDu"

--------------OGEsoYCB09Z6I8BUJalUJXDu
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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==
--------------OGEsoYCB09Z6I8BUJalUJXDu
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------OGEsoYCB09Z6I8BUJalUJXDu--

--------------EyH7vkVPx12NW0hoTjDd6wF2--

--------------tUbwrWrZ0wjnNcTi71YW3LXQ
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYwZpQwUDAAAAAAAKCRBJ4+4iGRcl7oej
AQDNgOSD/JAJ3ESjf4HGNQs7x3web8AwnoLLX/6xlQItkQD/cAiqkNdo8C6e8LQ0GM2irhNG3OxD
VBglxb42Zk3YHgA=
=2n0c
-----END PGP SIGNATURE-----

--------------tUbwrWrZ0wjnNcTi71YW3LXQ--




Information forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Aug 2022 16:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 24 12:01:00 2022
Received: from localhost ([127.0.0.1]:47737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oQsoN-0001C2-Ib
	for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 12:01:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:34194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1oQsoK-0001Bt-7n
 for submit <at> debbugs.gnu.org; Wed, 24 Aug 2022 12:00:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54784)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1oQsoF-00023N-Fv
 for guix-patches@HIDDEN; Wed, 24 Aug 2022 12:00:56 -0400
Received: from 5.mo582.mail-out.ovh.net ([46.105.54.31]:46903)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1oQsoC-0003lf-Vl
 for guix-patches@HIDDEN; Wed, 24 Aug 2022 12:00:51 -0400
Received: from player714.ha.ovh.net (unknown [10.110.115.223])
 by mo582.mail-out.ovh.net (Postfix) with ESMTP id A7F3925339
 for <guix-patches@HIDDEN>; Wed, 24 Aug 2022 16:00:37 +0000 (UTC)
Received: from ngraves.fr (met42-h01-213-44-161-47.dsl.sta.abo.bbox.fr
 [213.44.161.47]) (Authenticated sender: ngraves@HIDDEN)
 by player714.ha.ovh.net (Postfix) with ESMTPSA id B43F92DC566D8;
 Wed, 24 Aug 2022 16:00:15 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-97G00249d7fd29-18ef-4f8b-aa6d-23b55671f8ba,
 C81D10A3153E3B48FB49E2C2A639964CC11D294F) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 213.44.161.47
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add restartd.
Date: Wed, 24 Aug 2022 17:59:38 +0200
Message-ID: <87czcp8wet.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Ovh-Tracer-Id: 5414734127433114338
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvfedrvdejuddgleekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpefhvfevufffkfggtgfgsehtqhertddttdejnecuhfhrohhmpefpihgtohhlrghsucfirhgrvhgvshcuoehnghhrrghvvghssehnghhrrghvvghsrdhfrheqnecuggftrfgrthhtvghrnhepjeejjeejhfdutdelheetvedthefgueelgfeuhfdttdejtdduueeukeejgeevleeunecuffhomhgrihhnpehgihhthhhusgdrtghomhdpghhithhhuhgsuhhsvghrtghonhhtvghnthdrtghomhdplhgruhhntghhphgrugdrnhgvthenucfkpheptddrtddrtddrtddpvddufedrgeegrdduiedurdegjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjedugedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdpnhgspghrtghpthhtohepuddprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrghdpoffvtefjohhsthepmhhoheekvd
Received-SPF: pass client-ip=46.105.54.31; envelope-from=ngraves@HIDDEN;
 helo=5.mo582.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: ngraves@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/admin.scm (restartd): New variable.
---
 gnu/packages/admin.scm | 67 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index a4c5189222..17a400bdf6 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -51,6 +51,7 @@
 ;;; Copyright =C2=A9 2021 Artyom V. Poptsov <poptsov.artyom@HIDDEN>
 ;;; Copyright =C2=A9 2022 Wamm K. D. <jaft.r@HIDDEN>
 ;;; Copyright =C2=A9 2022 Roman Riabenko <roman@HIDDEN>
+;;; Copyright =C2=A9 2022 Nicolas Graves <ngraves@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5455,6 +5456,72 @@ (define-public fail2ban
 mechanisms if you really want to protect services.")
     (license license:gpl2+)))
=20
+(define-public restartd
+  (let* ((commit "7044125ac55056f2663536f7137170edf92ebd75")
+         (revision "1.1"))
+    (package
+      (name "restartd")
+      (version (git-version "0.2.3" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ajraymond/restartd")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1m1np00b4zvvwx63gzysbi38i5vj1jsjvh2s0p9czl6dzyz582z0"))
+         (patches
+          (list
+           ;; Fix segfault when run as normal user
+           (origin
+             (method url-fetch)
+             (uri
+              (string-append "https://patch-diff.githubusercontent.com/raw"
+                             "/ajraymond/restartd/pull/6.patch"))
+             (sha256
+              (base32
+               "1cqhy6fngvql9ynacrf4f2nc7mzypvdbab5nil96qlclfvb3far8")))
+           ;; Fix compilation with gcc-10+
+           (origin
+             (method url-fetch)
+             (uri
+              (string-append "https://patch-diff.githubusercontent.com/raw"
+                             "/ajraymond/restartd/pull/7.patch"))
+             (sha256
+              (base32
+               "0fk33af8sgrgxibmkyjlv3j8jikgbp4mkj84yamvhv38ic6x2rw6")))))=
))
+      (build-system gnu-build-system)
+      (arguments
+       (list
+        #:tests? #f ; no tests
+        #:phases
+        #~(modify-phases %standard-phases
+            (add-after 'unpack 'ensure-compilation
+              (lambda _
+                (substitute* "Makefile"
+                  (("CC \\?=3D gcc") "CC =3D gcc"))))
+            (delete  'configure)
+            (replace 'install
+              (lambda _
+                (install-file "restartd.conf" (string-append #$output "/et=
c"))
+                (install-file "restartd" (string-append #$output "/sbin"))
+                (install-file "restartd.8"
+                              (string-append #$output "/share/man/man8"))
+                (mkdir-p (string-append #$output "/share/man/fr/man8"))
+                (copy-file
+                 "restartd.fr.8"
+                 (string-append #$output "/share/man/fr/man8/restartd.8"))=
)))))
+      (home-page "https://launchpad.net/debian/+source/restartd")
+      (synopsis "Daemon for restarting processes")
+      (description "This package provides a daemon for checking running an=
d not
+running processes.  It reads the /proc directory every n seconds and does a
+POSIX regexp on the process names.  You can execute a script or a program =
if
+the process is or is not running.  The daemon can only be called by the ro=
ot
+user, but can use @code{sudo -u user} in the process called if needed.")
+      (license license:gpl2))))
+
 (define-public rex
   (package
     (name "rex")
--=20
2.37.2


<#secure method=3Dpgpmime mode=3Dsign>

--=20
Best regards,
Nicolas Graves




Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57387; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Sep 2022 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.